#include<fstream>
#include<iomanip>
using namespace std;
double a(double n)
{
	double t=double(1/n);
	if(n==1) return 1;
	else return t+a(n-1);
}
double gt(double n)
{
	if(n==2) return 2;
	else return n*gt(n-2);
}
double b(double n)
{
	if(n==0) return 1;
	else return double(1/gt(2*n))+b(n-1);
}
int main()
{
	ifstream f1("DQAB.INP");
	ofstream f2("DQAB.OUT");
	double n;
	f1>>n;
	f1.close();
	double x=a(n);
	double y=b(n);
	f2.setf(ios::showpoint);
	f2.setf(ios::fixed);
	f2.precision(3);
	f2<<x<<endl<<y;
	f2.close();
	return 0;
}
